#!/usr/bin/env node
/* eslint-disable no-fallthrough */
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const scripts_1 = require("./scripts");
const args = process.argv.slice(2);
const scriptName = args[0];
if (!scriptName) {
    console.error("Please pass a script name as an argument to @cdimitroulas/typescript-scripts");
    process.exit(1);
}
switch (scriptName) {
    case "init":
        (0, scripts_1.init)();
        process.exit(0);
    case "compile": {
        const status = (0, scripts_1.compile)();
        process.exit(status);
    }
    case "format": {
        const status = (0, scripts_1.format)();
        process.exit(status);
    }
    case "help":
        (0, scripts_1.help)();
        process.exit(0);
    case "lint": {
        const status = (0, scripts_1.lint)();
        process.exit(status);
    }
    case "run": {
        const status = (0, scripts_1.run)();
        process.exit(status);
    }
    case "test": {
        const status = (0, scripts_1.test)();
        process.exit(status);
    }
    case "test:transpileOnly": {
        const status = (0, scripts_1.testTranspileOnly)();
        process.exit(status);
    }
    default:
        (0, scripts_1.help)();
        process.exit(1);
}
