"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.testTranspileOnly = void 0;
const path_1 = __importDefault(require("path"));
const cross_spawn_1 = __importDefault(require("cross-spawn"));
const utils_1 = require("./utils");
const args = process.argv.slice(3);
const runMochaProcess = (args) => {
    const result = cross_spawn_1.default.sync(path_1.default.join(utils_1.appDirectory, "./node_modules/.bin/mocha"), args, { stdio: "inherit" });
    if (result.error) {
        console.error(result.error);
    }
    return typeof result.status === "number" ? result.status : 1;
};
function test() {
    const result = runMochaProcess([
        "-r",
        "ts-node/register",
        "--watch-extensions",
        "ts",
        "--recursive",
        ...args
    ]);
    return result;
}
function testTranspileOnly() {
    const result = runMochaProcess([
        "-r",
        "ts-node/register/transpile-only",
        "--watch-extensions",
        "ts",
        "--recursive",
        ...args
    ]);
    return result;
}
exports.testTranspileOnly = testTranspileOnly;
exports.default = test;
